Skip to main content
POST
/
v1
/
server
/
webhooks
Create Webhook
curl --request POST \
  --url https://sdk-api.playcamp.io/v1/server/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "retryCount": 3,
  "timeoutMs": 5000
}
'
import requests

url = "https://sdk-api.playcamp.io/v1/server/webhooks"

payload = {
"url": "<string>",
"retryCount": 3,
"timeoutMs": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', retryCount: 3, timeoutMs: 5000})
};

fetch('https://sdk-api.playcamp.io/v1/server/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "url": "<string>",
    "isActive": true,
    "retryCount": 123,
    "timeoutMs": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "secret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Server API Key (format: {keyId}:{secret})

Body

application/json
eventType
enum<string>
required

Webhook event types:

  • coupon.redeemed: Coupon redeemed
  • payment.created: Payment created
  • sponsor.created: Boost created (Sponsor)
Available options:
coupon.redeemed,
payment.created,
payment.bulk_created,
sponsor.created,
sponsor.ended
url
string<uri>
required

Webhook receiver URL

retryCount
integer
default:3

Retry count on failure

Required range: 0 <= x <= 10
timeoutMs
integer
default:5000

Timeout (milliseconds)

Required range: 1000 <= x <= 30000

Response

201 - application/json

Success (secret is only returned in this response)

data
object
required

Webhook creation response (includes secret)